Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ContainerObjectImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.server.NamedObjectImpl
oracle.jbo.server.ComponentObjectImpl
oracle.jbo.server.ContainerObjectImpl`

All Implemented Interfaces:
  ComponentObject, ContainerObject, Properties, VariableManagerOwner

Direct Known Subclasses:
  ApplicationModuleImpl

public abstract class ContainerObjectImpl
extends ComponentObjectImpl
implements ContainerObject

The implementation of the `ContainerObject` interface.

Since:
  JDevloper 3.0

Field Summary
`com.sun.java.util.collections.ArrayList` | `mComponentList` List to keep the Component Objects
`com.sun.java.util.collections.HashMap` | `mComponents` Map to keep the name value pairs of Component Usages, names

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`ContainerObjectImpl()`

Method Summary
`void` | `addContainerListener(ContainerObjectListener listener)` Subscribes a listener for container object events.
`ComponentObject` | `createComponentObject(java.lang.String compName, java.lang.String compDefName)` Create a component Object from the container
`ComponentObject` | `findComponentObject(java.lang.String compName)` Find a component Object from the container
`void` | `removeContainerListener(ContainerObjectListener listener)` Unsubscribes a listener for container object events.

Methods inherited from class oracle.jbo.server.ComponentObjectImpl
`addListener, create, createRef, ensureVariableManager, getApplicationModule, getCompListeners, getCompListenersList, getDefFullName, getDefName, getMessageBundleClass, getProxyClassName, getProxyClassName, getRootApplicationModule, getVariableManager, hasVariables, isDead, isRegWithPiggyMan, remove, setName, setParent, setProxyClassName`

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`setParent, setPropertiesMap`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.ComponentObject
`getFullName, getName`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Field Detail

### mComponents

    public com.sun.java.util.collections.HashMap mComponents

  Map to keep the name value pairs of Component Usages, names

### mComponentList

    public com.sun.java.util.collections.ArrayList mComponentList

  List to keep the Component Objects

Constructor Detail

### ContainerObjectImpl

    public ContainerObjectImpl()

Method Detail

### addContainerListener

    public void addContainerListener(ContainerObjectListener listener)

  Description copied from interface: `ContainerObject`
  Subscribes a listener for container object events.
  Specified by:
    `addContainerListener` in interface `ContainerObject`
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### removeContainerListener

    public void removeContainerListener(ContainerObjectListener listener)

  Description copied from interface: `ContainerObject`
  Unsubscribes a listener for container object events.
  Specified by:
    `removeContainerListener` in interface `ContainerObject`
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### findComponentObject

    public ComponentObject findComponentObject(java.lang.String compName)

  Description copied from interface: `ContainerObject`
  Find a component Object from the container
  Specified by:
    `findComponentObject` in interface `ContainerObject`
  Parameters:
    `compName` - name of the component
  Returns:
    Component Object

### createComponentObject

    public ComponentObject createComponentObject(java.lang.String compName,
                                                 java.lang.String compDefName)

  Description copied from interface: `ContainerObject`
  Create a component Object from the container
  Specified by:
    `createComponentObject` in interface `ContainerObject`
  Parameters:
    `compName` - name of the component
    `compDefName` - name of the definition Object
  Returns:
    Component Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.